## procmeter3 3.5c

=== Makefile ===
# $Header: /home/amb/procmeter3/RCS/Makefile 1.27 2009/12/01 18:37:53 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5c.
#
# Makefile.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2009 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Paths

# INSTDIR - the default root directory for the package
INSTDIR=/usr/local

# MANDIR - the directory to install man pages to
MANDIR=$(INSTDIR)/man

# LIB_PATH - the root dir for library files
LIB_PATH=$(INSTDIR)/lib/X11/ProcMeter3

# MOD_PATH - the path modules are stored in
MOD_PATH=$(LIB_PATH)/modules

# RC_PATH - file the procmeterrc is stored in
RC_PATH=$(LIB_PATH)

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-rdynamic

PATHDEFS=-DINSTDIR=\"$(INSTDIR)\"   -DLIB_PATH=\"$(LIB_PATH)\" \
         -DMOD_PATH=\"$(MOD_PATH)\" -DRC_PATH=\"$(RC_PATH)\"

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : procmeter3-xaw procmeter3-gtk1 procmeter3-gtk2 procmeter3-log procmeter3-lcd

########

procmeter3-xaw  : obj procmeter3.modules procmeterrc.install

procmeter3-gtk1 : obj procmeter3.modules procmeterrc.install
procmeter3-gtk2 : obj procmeter3.modules procmeterrc.install

procmeter3-log  : obj procmeter3.modules procmeterrc.install

procmeter3-lcd  : obj procmeter3.modules procmeterrc.install

########

obj : $(OBJ)

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@  $(PATHDEFS)

procmeter.o   : procmeter.c   procmeterp.h procmeter.h
module.o      : module.c      procmeterp.h procmeter.h
procmeterrc.o : procmeterrc.c procmeterp.h procmeter.h

########

.PHONY : procmeter3.modules

procmeter3.modules :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C modules

########

procmeter3-xaw  :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C xaw
	[ -f procmeter3 ] || ln -s procmeter3-xaw procmeter3

procmeter3-gtk1 :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk1

procmeter3-gtk2 :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk2

procmeter3-log  :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C log

procmeter3-lcd  :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C lcd

########

.PHONY : procmeterrc

procmeterrc.install: procmeterrc Makefile
	sed -e "s%path=modules%path=$(MOD_PATH)%" < procmeterrc > procmeterrc.install

########

.PHONY : clean distclean

clean :
	-rm -f *.o *~ core procmeterrc.install
	$(MAKE) -C modules clean
	$(MAKE) -C xaw  clean
	$(MAKE) -C gtk1 clean
	$(MAKE) -C gtk2 clean
	$(MAKE) -C log  clean
	$(MAKE) -C lcd  clean

distclean : clean
	-rm -f procmeter3-xaw procmeter3-gtk1 procmeter3-gtk2 procmeter3-log procmeter3-lcd
	-rm -f procmeter3 gprocmeter3
	$(MAKE) -C modules distclean

########

.PHONY : install

install :
	@[ -f procmeter3-xaw ] || [ -f procmeter3-gtk1 ] || [ -f procmeter3-gtk2 ] || [ -f procmeter3-log ] || [ -f procmeter3-lcd ] || \
	  (echo "*** Run 'make all' or 'make procmeter3-xaw' or 'make procmeter3-gtk1' or 'make procmeter3-gtk2' or 'make procmeter3-log' or 'make procmeter3-lcd' first." ; exit 1)
	install -d $(DESTDIR)$(LIB_PATH)
	install -d $(DESTDIR)$(MOD_PATH)
	install -d $(DESTDIR)$(RC_PATH)
#
	$(MAKE) -C modules install INSTDIR=$(INSTDIR) MOD_PATH=$(MOD_PATH) LIB_PATH=$(LIB_PATH)
#
	install -d $(DESTDIR)$(INSTDIR)/bin
	[ ! -f procmeter3-xaw ]  || install -m 755 procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-xaw ]   || (echo "" ; echo "*** The procmeter3-xaw program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-xaw ]  || ln -s procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin/procmeter3
	[ ! -f procmeter3-gtk1 ] || install -m 755 procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-gtk1 ]  || (echo "" ; echo "*** The procmeter3-gtk1 program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-gtk2 ] || install -m 755 procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-gtk2 ]  || (echo "" ; echo "*** The procmeter3-gtk2 program has not been installed (it does not exist)." ; echo "")
	[ -f procmeter3-gtk2 ]   || [ ! -f procmeter3-gtk1 ] || ln -s procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
	[ -f procmeter3-gtk1 ]   || [ ! -f procmeter3-gtk2 ] || ln -s procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
	[ ! -f procmeter3-log ]  || install -m 755 procmeter3-log $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-log ]   || (echo "" ; echo "*** The procmeter3-log program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-lcd ]  || install -m 755 procmeter3-lcd $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-lcd ]   || (echo "" ; echo "*** The procmeter3-lcd program has not been installed (it does not exist)." ; echo "")
#
	install -d $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(MANDIR)/man5
	[ ! -f procmeter3-xaw ]  || install -m 644 man/procmeter3-xaw.1  man/procmeter3.1  $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-log ]  || install -m 644 man/procmeter3-log.1                    $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-lcd ]  || install -m 644 man/procmeter3-lcd.1                    $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-gtk1 ] || install -m 644 man/procmeter3-gtk1.1 man/gprocmeter3.1 $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-gtk2 ] || install -m 644 man/procmeter3-gtk2.1 man/gprocmeter3.1 $(DESTDIR)$(MANDIR)/man1
	install -m 644 man/procmeterrc.5        $(DESTDIR)$(MANDIR)/man5
	install -m 644 man/procmeter3_modules.1 $(DESTDIR)$(MANDIR)/man1
#
	[ ! -f $(DESTDIR)$(RC_PATH)/.procmeterrc ] || mv $(DESTDIR)$(RC_PATH)/.procmeterrc $(DESTDIR)$(RC_PATH)/procmeterrc
	@[ ! -f $(DESTDIR)$(RC_PATH)/procmeterrc ] || (echo "" ; echo "*** The $(DESTDIR)$(RC_PATH)/procmeterrc file has not been installed (it already exists)." ; echo "")
	[ -f $(DESTDIR)$(RC_PATH)/procmeterrc ] || install -m 644 procmeterrc.install $(DESTDIR)$(RC_PATH)/procmeterrc
	install -m 644 procmeterrc.install $(DESTDIR)$(RC_PATH)
#
	install -d $(DESTDIR)$(LIB_PATH)/include
	install -m 644 procmeter.h $(DESTDIR)$(LIB_PATH)/include

=== gtk2/Makefile ===
# $Header: /home/amb/procmeter3/gtk2/RCS/Makefile 1.2 2007/09/26 18:31:46 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5.
#
# Makefile for gtk2 parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2007 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=

X_CFLAGS=`pkg-config --cflags gtk+-2.0`
X_LDFLAGS=`pkg-config --libs gtk+-2.0`

# Check for GTK2 development libraries and headers

HAVE_GTK2:=$(shell pkg-config --modversion gtk+-2.0)

ifdef HAVE_GTK2
  ALL=all-gtk2
else
  ALL=all-no-gtk2
endif

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : $(ALL)

all-no-gtk2 :
	@echo "ProcMeter:"
	@echo "ProcMeter: GTK2 is not installed (pkg-config could not find it)."
	@echo "ProcMeter: Cannot compile procmeter3-gtk2 program."
	@echo "ProcMeter:"

all-gtk2 : $(OBJ) procmeter.widget \
      ../procmeter3-gtk2

########

../procmeter3-gtk2 : $(OBJ) procmeter.widget procmeter.main
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ -ldl $(LDFLAGS) $(X_LDFLAGS)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

bitmap.o    : bitmap.c    ../procmeterp.h ../procmeter.h window.h
resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

.PHONY : procmeter.widget

procmeter.widget :
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

.PHONY : procmeter.main

$(POBJ) : procmeter.main

procmeter.main :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== modules/Makefile ===
# $Header: /home/amb/procmeter3/modules/RCS/Makefile 1.8 2010/02/20 13:38:18 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5c.
#
# Makefile for the modules.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2010 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Paths (overridden by main Makefile)

INSTDIR=/usr/local
LIB_PATH=$(INSTDIR)/lib/X11/ProcMeter3
MOD_PATH=$(LIB_PATH)/modules

# Programs

CC=gcc
LD=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall
LDFLAGS=

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))
LIB=$(foreach f,$(SRC),$(addsuffix .so,$(basename $f)))

########

all : $(OBJ) $(LIB)

########

libsensors-%.o:libsensors-%.c
	./check-no-libsensors.sh '$(CC)' '$(CFLAGS)' || $(CC) -c $(CFLAGS) $< -o $@ -I.. -fPIC

libsensors-%.so:libsensors-%.o
	[ ! -f $< ] || $(LD) $(LDFLAGS) $< -lsensors -o $@ -shared

%.o:%.c ../procmeter.h
	$(CC) -c $(CFLAGS) $< -o $@ -I.. -fPIC

%.so:%.o
	$(LD) $(LDFLAGS) $< -o $@ -shared

########

.PHONY : clean distclean

clean :
	-rm -f *.o *~ core

distclean : clean
	-rm -f *.so

########

.PHONY : install

install :
	install -d $(DESTDIR)$(MOD_PATH)
	install -d $(DESTDIR)$(LIB_PATH)/example
	for module in *.so ; do \
	   [ $$module = template.so ] || install -m 755 $$module $(DESTDIR)$(MOD_PATH) ;\
	done
	install -m 644 README $(DESTDIR)$(LIB_PATH)/example
	install -m 644 template.c $(DESTDIR)$(LIB_PATH)/example

=== xaw/Makefile ===
# $Header: /home/amb/procmeter3/xaw/RCS/Makefile 1.2 2007/09/26 18:31:46 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5.
#
# Makefile for xaw parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2007 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=

X_CFLAGS=-I/usr/X11/include -I/usr/X11R6/include
X_LDFLAGS=-L/usr/X11/lib -L/usr/X11R6/lib -lXaw -lXmu -lXt -lXext -lSM -lICE -lX11

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ) procmeter.widget \
      ../procmeter3-xaw

########

../procmeter3-xaw : $(OBJ) procmeter.widget procmeter.main
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ -ldl $(LDFLAGS) $(X_LDFLAGS)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

bitmap.o    : bitmap.c    ../procmeterp.h ../procmeter.h window.h
resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

.PHONY : procmeter.widget

procmeter.widget :
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

.PHONY : procmeter.main

$(POBJ) : procmeter.main

procmeter.main :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== gtk1/widgets/Makefile ===
# $Header: /home/amb/procmeter3/gtk1/widgets/RCS/Makefile 1.2 2007/09/19 19:02:45 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5.
#
# Makefile for gtk1 widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998-2007 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

X_CFLAGS=`gtk-config --cflags`

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGeneric.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMGeneric.h
PMBar.o     : PMBar.c     PMBar.h     PMGeneric.h ../../procmeter.h

SubMenus.o : SubMenus.c SubMenus.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== debian/changelog ===
procmeter3 (3.5c-1.1) unstable; urgency=low

  * Ironic NMU
  * Fix crash when /proc/interrupts is > 64 chars long. Closes: #602975

 -- Joey Hess <joeyh@debian.org>  Tue, 04 Jan 2011 12:44:50 -0400

procmeter3 (3.5c-1) unstable; urgency=low

  * New maintainer (Closes: #483255)
  * New upstremer release (Closes: #570800)
  * debian/control:
    + Add new build depends libsensors-dev
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules
    + Update to debhelper 7
  * debian/compat:
    + Migrate to debhelper 7
  * debian/copyright
    + Change to DEP5 format
  * debian/patches/*
    + Add patch to fix manpages
    + Add patch to fix makefile
  * debian/docs
    + Add missing doc files (ANNOUNCE, LSM, NEWS, README)
  * debian/clean added in order to delete auto-generated files

 -- Wences Rene Arana Fuentes <aranaf51@gmail.com>  Wed, 30 Jun 2010 10:14:36 -0600

procmeter3 (3.5b-1) unstable; urgency=low

  * QA upload.
  * New upstream version (Closes: #367443).
  * debian/control:
    + Update Standards-Version to 3.8.1 (no changes).
    + Update b-d from x-dev to x11proto-core-dev (Closes: #515389).
    + Fix spelling errors in package description.
  * debian/watch:
    + Update version from 2 to 3.
  * debian/copyright:
    + Version license link to GPL-2.
  * modules/acpi.c:
    + Add multiple batteries support (Closes: #460263).

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 29 Apr 2009 18:11:30 +0000

procmeter3 (3.5a-4) unstable; urgency=low

  * Orphaned the package. Wow, 12 years..

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:11:54 -0400

procmeter3 (3.5a-3) unstable; urgency=low

  * Correct issue with the statically allocated string returned by
    get_acpi_value that caused it to only look at last full capacity and never
    really at design capacity.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:30:01 -0500

procmeter3 (3.5a-2) unstable; urgency=low

  * Patch from upstream fixing readdir use to not assume that . and ..
    are returned first. Closes: #456585

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Dec 2007 12:29:04 -0500

procmeter3 (3.5a-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Dec 2007 13:56:31 -0500

procmeter3 (3.5-2) experimental; urgency=low

  * Merge acpi changes from wmbattery:
    - Deal with batteries that report they're charged to greater than their
      max capacity.  
    - Patch from Christian Schäfer to add support for using on acpi systems
      with no batteries.
    - guard against potential division by zero. Closes: #454766
    - fix an off-by-one
    - minor bug fix to acpi code, don't skip over dotfiles

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Dec 2007 15:17:13 -0500

procmeter3 (3.5-1) experimental; urgency=low

  * New upstream release.
  * Stop building the gtk1 binary now that upstream supports building for
    gtk2. gprocmeter3 is now a link to procmeter3-gtk2. Closes: #438388
  * Note that the athena binary is renamed to procmeter3-xaw. There is a
    compatability symlink to procmeter3, but that might change in a later
    upstream release.
  * More manpage whatis fixes.
  * Add Homepage field.
  * Debhelper v5.
  * Uploaded to experimental as procmeter3-gtk has a number of bugs in my
    testing.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Nov 2007 16:35:47 -0500

procmeter3 (3.4g-1) unstable; urgency=low

  * New upstream release.
  * Includes better fix for #440473.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 01:55:03 -0400

procmeter3 (3.4f-5) unstable; urgency=low

  * Correct segfault in stat-cpu on SMP systems. Fix also sent upstream.
    Closes: #440473

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Sep 2007 20:04:06 -0400

procmeter3 (3.4f-4) unstable; urgency=low

  * Fix menu section. Closes: #438102

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Aug 2007 13:30:33 -0400

procmeter3 (3.4f-3) unstable; urgency=low

  * Correct units in ACPI battery rate display.
  * Updates for new menu policy and other menu file changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:36:38 -0400

procmeter3 (3.4f-2) unstable; urgency=low

  * Patch from Vincent Bernat adding support for 2.6.21, which changes
    yet again where the ACPI version number is stored.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2007 14:19:32 -0400

procmeter3 (3.4f-1) unstable; urgency=low

  * New upstream release, including /proc/mounts line length fix.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 15:02:51 -0500

procmeter3 (3.4e-2) unstable; urgency=low

  * Patch from Timo Lilja to fix a segfault if /proc/mounts has long lines.
    Closes: #402719

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Dec 2006 10:28:41 -0500

procmeter3 (3.4e-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Apr 2006 12:26:47 -0400

procmeter3 (3.4d-5) unstable; urgency=low

  * Set procmeter3_modules section to 1, not 4, to match the filename and
    installation location. Although 1 isn't quite right, 4 is much less
    right.
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:19:12 -0500

procmeter3 (3.4d-4) unstable; urgency=low

  * Transition away from xlibs-dev.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Nov 2005 17:02:58 -0500

procmeter3 (3.4d-3) unstable; urgency=low

  * Remove symlink creation code; symlinks now kept in svn repo.
  * Fix man page typos spotted by A Costa. Also sent upstream.
    Closes: #337189, #337188

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 15:01:22 -0500

procmeter3 (3.4d-2) unstable; urgency=low

  * Fix a bug in acpi.c that made it not read the info file and thus, not
    work. See bug #307278

 -- Joey Hess <joeyh@debian.org>  Mon,  2 May 2005 18:17:18 -0400

procmeter3 (3.4d-1) unstable; urgency=low

  * New upstream release:
    - Updated ACPI support to handle kernel version 2.6.
    - Added support for /dev/mapper in disk statistics.


=== debian/control ===
Source: procmeter3
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libx11-dev, libxt-dev, x11proto-core-dev, libsensors-dev, libxaw7-dev | libxaw-dev, dpkg-dev (>= 1.9.0)
Maintainer: Wences Rene Arana Fuentes <aranaf51@gmail.com>
Standards-Version: 3.9.0
Vcs-Git: git://git.kitenet.net/joey/packages/procmeter3
Homepage: http://www.gedanken.demon.co.uk/procmeter3/

Package: procmeter3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical system status monitor
 ProcMeter displays constantly updating graphs of system information.
 Many different graphs are supported, including:
 .
  APM and ACPI information.
  Mailbox monitoring.
  Date, time, uptime.
  Amount of free and used disk space.
  Size, number of lines, rate of growth of log files.
  Amount of used and free memory and swap.
  Traffic on network devices.
  Load average, number of processes running and starting.
  Low level system statistics like CPU usage, disk usage and swapping.
  CPU clock speed.
  Wireless network link quality.
 .
 As if all that wasn't enough, procmeter is designed to be easily extendable
 via plugins.
 .
 Procmeter can use either the Athena or the GTK+ widgets. It also supports
 display on small LCD screens using the Linux lcdproc driver.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	$(MAKE) all INSTDIR=/usr RC_PATH=/etc

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean

override_dh_auto_install:
	$(MAKE) install \
	INSTDIR=$(CURDIR)/debian/procmeter3/usr \
	RC_PATH=$(CURDIR)/debian/procmeter3/etc

override_dh_installdocs:
	dh_installdocs
	cp modules/README \
		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/README.modules
	cp modules/ChangeLog \
		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/ChangeLog.modules

=== debian/watch ===
version=3
http://www.gedanken.demon.co.uk/procmeter3/ .*/procmeter3-(.*).tgz

## procmeter3 3.5d

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
-# $Header: /home/amb/procmeter3/RCS/Makefile 1.27 2009/12/01 18:37:53 amb Exp $
 #
-# ProcMeter - A system monitoring program for Linux - Version 3.5c.
+# ProcMeter - A system monitoring program for Linux - Version 3.5d.
 #
 # Makefile.
 #
 # Written by Andrew M. Bishop
 #
-# This file Copyright 1994-2009 Andrew M. Bishop
+# This file Copyright 1994-2011 Andrew M. Bishop
 # It may be distributed under the GNU Public License, version 2, or
 # any higher version.  See section COPYING of the GNU Public license
 # for conditions under which this file may be redistributed.
@@ -18,7 +17,7 @@
 INSTDIR=/usr/local
 
 # MANDIR - the directory to install man pages to
-MANDIR=$(INSTDIR)/man
+MANDIR=$(INSTDIR)/share/man
 
 # LIB_PATH - the root dir for library files
 LIB_PATH=$(INSTDIR)/lib/X11/ProcMeter3
@@ -125,7 +124,7 @@
 
 ########
 
-.PHONY : install
+.PHONY : install install-strip
 
 install :
 	@[ -f procmeter3-xaw ] || [ -f procmeter3-gtk1 ] || [ -f procmeter3-gtk2 ] || [ -f procmeter3-log ] || [ -f procmeter3-lcd ] || \
@@ -134,21 +133,21 @@
 	install -d $(DESTDIR)$(MOD_PATH)
 	install -d $(DESTDIR)$(RC_PATH)
 #
-	$(MAKE) -C modules install INSTDIR=$(INSTDIR) MOD_PATH=$(MOD_PATH) LIB_PATH=$(LIB_PATH)
+	$(MAKE) -C modules install STRIP=$(STRIP) INSTDIR=$(INSTDIR) MOD_PATH=$(MOD_PATH) LIB_PATH=$(LIB_PATH)
 #
 	install -d $(DESTDIR)$(INSTDIR)/bin
-	[ ! -f procmeter3-xaw ]  || install -m 755 procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin
+	[ ! -f procmeter3-xaw ]  || install $(STRIP) -m 755 procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin
 	@[ -f procmeter3-xaw ]   || (echo "" ; echo "*** The procmeter3-xaw program has not been installed (it does not exist)." ; echo "")
-	[ ! -f procmeter3-xaw ]  || ln -s procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin/procmeter3
-	[ ! -f procmeter3-gtk1 ] || install -m 755 procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin
+	[ ! -f procmeter3-xaw ]  || ln -sf procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin/procmeter3
+	[ ! -f procmeter3-gtk1 ] || install $(STRIP) -m 755 procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin
 	@[ -f procmeter3-gtk1 ]  || (echo "" ; echo "*** The procmeter3-gtk1 program has not been installed (it does not exist)." ; echo "")
-	[ ! -f procmeter3-gtk2 ] || install -m 755 procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin
+	[ ! -f procmeter3-gtk2 ] || install $(STRIP) -m 755 procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin
 	@[ -f procmeter3-gtk2 ]  || (echo "" ; echo "*** The procmeter3-gtk2 program has not been installed (it does not exist)." ; echo "")
-	[ -f procmeter3-gtk2 ]   || [ ! -f procmeter3-gtk1 ] || ln -s procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
-	[ -f procmeter3-gtk1 ]   || [ ! -f procmeter3-gtk2 ] || ln -s procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
-	[ ! -f procmeter3-log ]  || install -m 755 procmeter3-log $(DESTDIR)$(INSTDIR)/bin
+	[ -f procmeter3-gtk2 ]   || [ ! -f procmeter3-gtk1 ] || ln -sf procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
+	[ ! -f procmeter3-gtk2 ] || ln -sf procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
+	[ ! -f procmeter3-log ]  || install $(STRIP) -m 755 procmeter3-log $(DESTDIR)$(INSTDIR)/bin
 	@[ -f procmeter3-log ]   || (echo "" ; echo "*** The procmeter3-log program has not been installed (it does not exist)." ; echo "")
-	[ ! -f procmeter3-lcd ]  || install -m 755 procmeter3-lcd $(DESTDIR)$(INSTDIR)/bin
+	[ ! -f procmeter3-lcd ]  || install $(STRIP) -m 755 procmeter3-lcd $(DESTDIR)$(INSTDIR)/bin
 	@[ -f procmeter3-lcd ]   || (echo "" ; echo "*** The procmeter3-lcd program has not been installed (it does not exist)." ; echo "")
 #
 	install -d $(DESTDIR)$(MANDIR)/man1
@@ -168,3 +167,6 @@
 #
 	install -d $(DESTDIR)$(LIB_PATH)/include
 	install -m 644 procmeter.h $(DESTDIR)$(LIB_PATH)/include
+
+install-strip :
+	$(MAKE) install STRIP=-s

=== gtk1/Makefile ===
# $Header: /home/amb/CVS/procmeter3/gtk1/Makefile,v 1.4 2007-09-26 18:31:46 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5.
#
# Makefile for gtk1 parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2007 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=

X_CFLAGS=`gtk-config --cflags`
X_LDFLAGS=`gtk-config --libs`

# Check for GTK1 development libraries and headers

HAVE_GTK1:=$(shell gtk-config --version)

ifdef HAVE_GTK1
  ALL=all-gtk1
else
  ALL=all-no-gtk1
endif

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : $(ALL)

all-no-gtk1 :
	@echo "ProcMeter:"
	@echo "ProcMeter: GTK1 is not installed (gtk-config could not be found)."
	@echo "ProcMeter: Cannot compile procmeter3-gtk1 program."
	@echo "ProcMeter:"

all-gtk1 : $(OBJ) procmeter.widget \
      ../procmeter3-gtk1

########

../procmeter3-gtk1 : $(OBJ) procmeter.widget procmeter.main
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ -ldl $(LDFLAGS) $(X_LDFLAGS)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

bitmap.o    : bitmap.c    ../procmeterp.h ../procmeter.h window.h
resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

.PHONY : procmeter.widget

procmeter.widget :
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

.PHONY : procmeter.main

$(POBJ) : procmeter.main

procmeter.main :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== gtk2/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/amb/procmeter3/gtk2/RCS/Makefile 1.2 2007/09/26 18:31:46 amb Exp $
+# $Header: /home/amb/CVS/procmeter3/gtk2/Makefile,v 1.2 2007-09-26 18:31:46 amb Exp $
 #
 # ProcMeter - A system monitoring program for Linux - Version 3.5.
 #

=== lcd/Makefile ===
# $Header: /home/amb/CVS/procmeter3/lcd/Makefile,v 1.1 2002-11-30 19:22:37 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.4.
#
# Makefile for LCD driver part.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994,95,96,97,98,99,2000,02 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ) \
      ../procmeter3-lcd

########

../procmeter3-lcd : $(OBJ) procmeter.main
	$(LD) $(OBJ) $(POBJ) -o $@ -ldl $(LDFLAGS)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ -I..

window.o    : window.c    ../procmeterp.h ../procmeter.h
menu.o      : menu.c      ../procmeterp.h ../procmeter.h
run.o       : run.c       ../procmeterp.h ../procmeter.h

########

.PHONY : procmeter.main

$(POBJ) : procmeter.main

procmeter.main :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== log/Makefile ===
# $Header: /home/amb/CVS/procmeter3/log/Makefile,v 1.3 2002-11-30 19:20:54 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.4.
#
# Makefile for logging to a file.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994,95,96,97,98,99,2000,02 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ) \
      ../procmeter3-log

########

../procmeter3-log : $(OBJ) procmeter.main
	$(LD) $(OBJ) $(POBJ) -o $@ -ldl $(LDFLAGS)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ -I..

window.o    : window.c    ../procmeterp.h ../procmeter.h
menu.o      : menu.c      ../procmeterp.h ../procmeter.h
run.o       : run.c       ../procmeterp.h ../procmeter.h

########

.PHONY : procmeter.main

$(POBJ) : procmeter.main

procmeter.main :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== modules/Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
-# $Header: /home/amb/procmeter3/modules/RCS/Makefile 1.8 2010/02/20 13:38:18 amb Exp $
 #
-# ProcMeter - A system monitoring program for Linux - Version 3.5c.
+# ProcMeter - A system monitoring program for Linux - Version 3.5d.
 #
 # Makefile for the modules.
 #
 # Written by Andrew M. Bishop
 #
-# This file Copyright 1994-2010 Andrew M. Bishop
+# This file Copyright 1994-2011 Andrew M. Bishop
 # It may be distributed under the GNU Public License, version 2, or
 # any higher version.  See section COPYING of the GNU Public license
 # for conditions under which this file may be redistributed.
@@ -70,7 +69,7 @@
 	install -d $(DESTDIR)$(MOD_PATH)
 	install -d $(DESTDIR)$(LIB_PATH)/example
 	for module in *.so ; do \
-	   [ $$module = template.so ] || install -m 755 $$module $(DESTDIR)$(MOD_PATH) ;\
+	   [ $$module = template.so ] || install $(STRIP) -m 755 $$module $(DESTDIR)$(MOD_PATH) ;\
 	done
 	install -m 644 README $(DESTDIR)$(LIB_PATH)/example
 	install -m 644 template.c $(DESTDIR)$(LIB_PATH)/example

=== xaw/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/amb/procmeter3/xaw/RCS/Makefile 1.2 2007/09/26 18:31:46 amb Exp $
+# $Header: /home/amb/CVS/procmeter3/xaw/Makefile,v 1.2 2007-09-26 18:31:46 amb Exp $
 #
 # ProcMeter - A system monitoring program for Linux - Version 3.5.
 #

=== gtk1/widgets/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/amb/procmeter3/gtk1/widgets/RCS/Makefile 1.2 2007/09/19 19:02:45 amb Exp $
+# $Header: /home/amb/CVS/procmeter3/gtk1/widgets/Makefile,v 1.2 2007-09-19 19:02:45 amb Exp $
 #
 # ProcMeter - A system monitoring program for Linux - Version 3.5.
 #

=== gtk2/widgets/Makefile ===
# $Header: /home/amb/CVS/procmeter3/gtk2/widgets/Makefile,v 1.1 2007-09-19 19:03:46 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.5.
#
# Makefile for gtk2 widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998-2007 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

X_CFLAGS=`pkg-config --cflags gtk+-2.0`

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGeneric.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMGeneric.h
PMBar.o     : PMBar.c     PMBar.h     PMGeneric.h ../../procmeter.h

SubMenus.o : SubMenus.c SubMenus.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== xaw/widgets/Makefile ===
# $Header: /home/amb/CVS/procmeter3/xaw/widgets/Makefile,v 1.5 2000-12-16 17:01:20 amb Exp $
#
# ProcMeter - A system monitoring program for Linux - Version 3.3.
#
# Makefile for athena widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998,99,2000 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

XAW_CFLAGS=-I/usr/X11/include -I/usr/X11R6/include

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h PMGenericP.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGraphP.h   PMGeneric.h PMGenericP.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMTextP.h    PMGeneric.h PMGenericP.h
PMBar.o     : PMBar.c     PMBar.h     PMBarP.h     PMGeneric.h PMGenericP.h ../../procmeter.h

SubMenus.o : SubMenus.c SubMenus.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== debian/changelog ===
procmeter3 (3.5d-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Maintainer field updated (new email)
    + Standards Version updated to 3.9.2, no changes needed
    + VCS-* fields added
  * debian/copyright
    + Updated to use DEP5 rev. 174
    + License updated
  * debian/patches/*
    + manpages.patch, makefile.patch and debian-changes-3.5c-1.1 droped
      merged upstream
  * debian/watch
    + Download url updated
  * debian/rules
    + modules/ChangeLog was dropped by upstream, there is no
      need to copy it.

 -- Wences Arana <aranax@debian.org.gt>  Sun, 23 Oct 2011 00:45:12 -0600

procmeter3 (3.5c-1.2) unstable; urgency=low

  * Non maintainer upload.
  * Link against X11 libraries to fix FTBFS with ld --no-add-needed.
    Closes: #556073.
  * Build-depend on libsensors4-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Sep 2011 23:12:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: procmeter3
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libx11-dev, libxt-dev, x11proto-core-dev, libsensors-dev, libxaw7-dev | libxaw-dev, dpkg-dev (>= 1.9.0)
-Maintainer: Wences Rene Arana Fuentes <aranaf51@gmail.com>
-Standards-Version: 3.9.0
-Vcs-Git: git://git.kitenet.net/joey/packages/procmeter3
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libx11-dev, libxt-dev,
+ x11proto-core-dev, libsensors4-dev, libxaw7-dev | libxaw-dev, 
+ dpkg-dev (>= 1.9.0)
+Maintainer: Wences Arana <aranax@debian.org.gt>
+Standards-Version: 3.9.2
 Homepage: http://www.gedanken.demon.co.uk/procmeter3/
+Vcs-Git: git://anonscm.debian.org/collab-maint/procmeter3.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/procmeter3.git
 
 Package: procmeter3
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+
 %:
 	dh $@
 override_dh_auto_build:
@@ -17,5 +18,3 @@
 	dh_installdocs
 	cp modules/README \
 		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/README.modules
-	cp modules/ChangeLog \
-		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/ChangeLog.modules

=== debian/watch ===
version=3
http://www.gedanken.demon.co.uk/download-procmeter/procmeter3-(.*).tgz
